# API Documentation

# \Thelia\Model\BaseContentFolderQuery

Base class that represents a query for the 'content_folder' table.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterByContentId()
filterByFolderId()
filterByCreatedAt()
filterByUpdatedAt()
filterByContent()
joinContent()
useContentQuery()
filterByFolder()
joinFolder()
useFolderQuery()
prune()
doDeleteAll()
delete()
recentlyUpdated()
recentlyCreated()
lastUpdatedFirst()
firstUpdatedFirst()
lastCreatedFirst()
firstCreatedFirst()
orderByContentId()
orderByFolderId()
orderByCreatedAt()
orderByUpdatedAt()
groupByContentId()
groupByFolderId()
groupByCreatedAt()
groupByUpdatedAt()
leftJoin()
rightJoin()
innerJoin()
leftJoinContent()
rightJoinContent()
innerJoinContent()
leftJoinFolder()
rightJoinFolder()
innerJoinFolder()
findOne()
findOneOrCreate()
findOneByContentId()
findOneByFolderId()
findOneByCreatedAt()
findOneByUpdatedAt()
findByContentId()
findByFolderId()
findByCreatedAt()
findByUpdatedAt()
No public properties found
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A
abstract

File
  Model/Base/ContentFolderQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\ContentFolderQuery

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\ContentFolderQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\ContentFolderQuery

Returns a new ChildContentFolderQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\ContentFolderQuery

#

static

## Tags

None found

### findPk()

    findPk( $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\ContentFolder|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(array(12, 34), $con);`

#### Parameters

| $key |
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\ContentFolder|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(array(12, 56), array(832, 123), array(123, 456)), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\ContentFolderQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\ContentFolderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\ContentFolderQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\ContentFolderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByContentId()

    filterByContentId(mixed $contentId, string $comparison) : \Thelia\Model\ContentFolderQuery

Filter the query on the content_id column

Example usage: `$query->filterByContentId(1234); // WHERE content_id = 1234 $query->filterByContentId(array(12, 34)); // WHERE content_id IN (12, 34) $query->filterByContentId(array('min' => 12)); // WHERE content_id > 12`

#### Parameters

mixed | $contentId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ContentFolderQuery —

The current query, for fluid interface

#

See also

## Tags

None found

### filterByFolderId()

    filterByFolderId(mixed $folderId, string $comparison) : \Thelia\Model\ContentFolderQuery

Filter the query on the folder_id column

Example usage: `$query->filterByFolderId(1234); // WHERE folder_id = 1234 $query->filterByFolderId(array(12, 34)); // WHERE folder_id IN (12, 34) $query->filterByFolderId(array('min' => 12)); // WHERE folder_id > 12`

#### Parameters

mixed | $folderId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ContentFolderQuery —

The current query, for fluid interface

#

See also

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\ContentFolderQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ContentFolderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\ContentFolderQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ContentFolderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByContent()

    filterByContent(\Thelia\Model\Content|\Propel\Runtime\Collection\ObjectCollection $content, string $comparison) : \Thelia\Model\ContentFolderQuery

Filter the query by a related \Thelia\Model\Content object

#### Parameters

\Thelia\Model\Content|\Propel\Runtime\Collection\ObjectCollection | $content | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ContentFolderQuery —

The current query, for fluid interface

#

## Tags

None found

### joinContent()

    joinContent(string $relationAlias, string $joinType) : \Thelia\Model\ContentFolderQuery

Adds a JOIN clause to the query using the Content relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ContentFolderQuery —

The current query, for fluid interface

#

## Tags

None found

### useContentQuery()

    useContentQuery(string $relationAlias, string $joinType) : \Thelia\Model\ContentQuery

Use the Content relation Content object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ContentQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByFolder()

    filterByFolder(\Thelia\Model\Folder|\Propel\Runtime\Collection\ObjectCollection $folder, string $comparison) : \Thelia\Model\ContentFolderQuery

Filter the query by a related \Thelia\Model\Folder object

#### Parameters

\Thelia\Model\Folder|\Propel\Runtime\Collection\ObjectCollection | $folder | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\ContentFolderQuery —

The current query, for fluid interface

#

## Tags

None found

### joinFolder()

    joinFolder(string $relationAlias, string $joinType) : \Thelia\Model\ContentFolderQuery

Adds a JOIN clause to the query using the Folder relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ContentFolderQuery —

The current query, for fluid interface

#

## Tags

None found

### useFolderQuery()

    useFolderQuery(string $relationAlias, string $joinType) : \Thelia\Model\FolderQuery

Use the Folder relation Folder object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\FolderQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### prune()

    prune(\Thelia\Model\ContentFolder $contentFolder) : \Thelia\Model\ContentFolderQuery

Exclude object from result

#### Parameters

\Thelia\Model\ContentFolder | $contentFolder | Object to remove from the list of results

#### Returns

\Thelia\Model\ContentFolderQuery —

The current query, for fluid interface

#

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the content_folder table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildContentFolder or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

## Tags

None found

### recentlyUpdated()

    recentlyUpdated(int $nbDays) : \Thelia\Model\ContentFolderQuery

Filter by the latest updated

#### Parameters

int | $nbDays | Maximum age of the latest update in days

#### Returns

\Thelia\Model\ContentFolderQuery —

The current query, for fluid interface

#

## Tags

None found

### recentlyCreated()

    recentlyCreated(int $nbDays) : \Thelia\Model\ContentFolderQuery

Filter by the latest created

#### Parameters

int | $nbDays | Maximum age of in days

#### Returns

\Thelia\Model\ContentFolderQuery —

The current query, for fluid interface

#

## Tags

None found

### lastUpdatedFirst()

    lastUpdatedFirst() : \Thelia\Model\ContentFolderQuery

Order by update date desc

#### Returns

\Thelia\Model\ContentFolderQuery —

The current query, for fluid interface

#

## Tags

None found

### firstUpdatedFirst()

    firstUpdatedFirst() : \Thelia\Model\ContentFolderQuery

Order by update date asc

#### Returns

\Thelia\Model\ContentFolderQuery —

The current query, for fluid interface

#

## Tags

None found

### lastCreatedFirst()

    lastCreatedFirst() : \Thelia\Model\ContentFolderQuery

Order by create date desc

#### Returns

\Thelia\Model\ContentFolderQuery —

The current query, for fluid interface

#

## Tags

None found

### firstCreatedFirst()

    firstCreatedFirst() : \Thelia\Model\ContentFolderQuery

Order by create date asc

#### Returns

\Thelia\Model\ContentFolderQuery —

The current query, for fluid interface

#

## Tags

None found

### orderByContentId()

    orderByContentId($order =) : \Thelia\Model\ContentFolderQuery

Order by the content_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ContentFolderQuery

#

## Tags

None found

### orderByFolderId()

    orderByFolderId($order =) : \Thelia\Model\ContentFolderQuery

Order by the folder_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ContentFolderQuery

#

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\ContentFolderQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ContentFolderQuery

#

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\ContentFolderQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\ContentFolderQuery

#

## Tags

None found

### groupByContentId()

    groupByContentId() : \Thelia\Model\ContentFolderQuery

Group by the content_id column

#### Returns

\Thelia\Model\ContentFolderQuery

#

## Tags

None found

### groupByFolderId()

    groupByFolderId() : \Thelia\Model\ContentFolderQuery

Group by the folder_id column

#### Returns

\Thelia\Model\ContentFolderQuery

#

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\ContentFolderQuery

Group by the created_at column

#### Returns

\Thelia\Model\ContentFolderQuery

#

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\ContentFolderQuery

Group by the updated_at column

#### Returns

\Thelia\Model\ContentFolderQuery

#

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\ContentFolderQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\ContentFolderQuery

#

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\ContentFolderQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\ContentFolderQuery

#

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\ContentFolderQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\ContentFolderQuery

#

## Tags

None found

### leftJoinContent()

    leftJoinContent($relationAlias =) : \Thelia\Model\ContentFolderQuery

Adds a LEFT JOIN clause to the query using the Content relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ContentFolderQuery

#

## Tags

None found

### rightJoinContent()

    rightJoinContent($relationAlias =) : \Thelia\Model\ContentFolderQuery

Adds a RIGHT JOIN clause to the query using the Content relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ContentFolderQuery

#

## Tags

None found

### innerJoinContent()

    innerJoinContent($relationAlias =) : \Thelia\Model\ContentFolderQuery

Adds a INNER JOIN clause to the query using the Content relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ContentFolderQuery

#

## Tags

None found

### leftJoinFolder()

    leftJoinFolder($relationAlias =) : \Thelia\Model\ContentFolderQuery

Adds a LEFT JOIN clause to the query using the Folder relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ContentFolderQuery

#

## Tags

None found

### rightJoinFolder()

    rightJoinFolder($relationAlias =) : \Thelia\Model\ContentFolderQuery

Adds a RIGHT JOIN clause to the query using the Folder relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ContentFolderQuery

#

## Tags

None found

### innerJoinFolder()

    innerJoinFolder($relationAlias =) : \Thelia\Model\ContentFolderQuery

Adds a INNER JOIN clause to the query using the Folder relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\ContentFolderQuery

#

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\ContentFolder

Return the first ChildContentFolder matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\ContentFolder

#

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\ContentFolder

Return the first ChildContentFolder matching the query, or a new ChildContentFolder object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\ContentFolder

#

## Tags

None found

### findOneByContentId()

    findOneByContentId(int $content_id) : \Thelia\Model\ContentFolder

Return the first ChildContentFolder filtered by the content_id column

#### Parameters

int | $content_id |

#### Returns

\Thelia\Model\ContentFolder

#

## Tags

None found

### findOneByFolderId()

    findOneByFolderId(int $folder_id) : \Thelia\Model\ContentFolder

Return the first ChildContentFolder filtered by the folder_id column

#### Parameters

int | $folder_id |

#### Returns

\Thelia\Model\ContentFolder

#

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\ContentFolder

Return the first ChildContentFolder filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\ContentFolder

#

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\ContentFolder

Return the first ChildContentFolder filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\ContentFolder

#

## Tags

None found

### findByContentId()

    findByContentId(int $content_id) : array

Return ChildContentFolder objects filtered by the content_id column

#### Parameters

int | $content_id |

#### Returns

array

#

## Tags

None found

### findByFolderId()

    findByFolderId(int $folder_id) : array

Return ChildContentFolder objects filtered by the folder_id column

#### Parameters

int | $folder_id |

#### Returns

array

#

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildContentFolder objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildContentFolder objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\ContentFolder

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\ContentFolder —

A model object, or null if the key is not found

#

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\ContentFolder|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\ContentFolder|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### ContentFolderQuery.php